﻿using Patterns.InputSettings;
using System.Threading;
using ZennoLab.CommandCenter;
using ZennoLab.InterfacesLibrary.ProjectModel;

namespace Patterns
{
    public class Debugger
    {
        private readonly Instance instance;
        private readonly IZennoPosterProjectModel project;

        public Debugger(Instance instance, IZennoPosterProjectModel project)
        {
            this.instance = instance;
            this.project = project;
        }

        /// <summary>
        /// Кубик Proxy.
        /// </summary>
        public void Proxy()
        {
            var settings = new sProxy(project);
            project.SendInfoToLog("Получили прокси из файла: " + settings.FilePath);
            Thread.Sleep(1000);
            var proxy = "22.33.44.55:1234";
            project.SendInfoToLog($"Прокси:{proxy} | Тип:{settings.Type}");
            Thread.Sleep(1000);
            project.SendInfoToLog("Подключили прокси");
            Thread.Sleep(1000);
            project.SendInfoToLog("Прокси рабочий");
            Thread.Sleep(1000);
            project.Variables["cfg_Proxy"].Value = proxy;
            project.SendInfoToLog("Сохранили прокси в переменную ZP");
            Thread.Sleep(1000);

        }

        /// <summary>
        /// Кубик Подготовка регистрации.
        /// </summary>
        public void PreparingReg()
        {
            var settings = new sReg(project);
            project.SendInfoToLog("Работаем с " + settings.Service);
            Thread.Sleep(1000);
            project.SendInfoToLog("Путь для сохранения: " + settings.Service);
            Thread.Sleep(1000);
            project.SendInfoToLog($"Разделитель: \"{settings.Separator}\"");
            Thread.Sleep(1000);
        }

        /// <summary>
        /// Кубик Подготовка SMS.
        /// </summary>
        public void PreparingSms()
        {
            var settings = new sSms(project);
            project.SendInfoToLog("Работаем с " + settings.Service);
            Thread.Sleep(1000);
            project.SendInfoToLog("Гео: " + settings.Geo);
            Thread.Sleep(1000);
            project.SendInfoToLog("Оператор: " + settings.Operator);
            Thread.Sleep(1000);
        }

        /// <summary>
        /// Кубик Регистрация ВК.
        /// </summary>
        public void RegVk()
        {
            var settings = new sVK(project);
            project.SendInfoToLog("Начинаем регистрацию ВК");
            Thread.Sleep(1000);
            project.SendInfoToLog("Прокси: " + settings.Proxy);
            Thread.Sleep(1000);
            project.SendInfoToLog("Получаем номер на: " + settings.Sms.Service);
            Thread.Sleep(1000);
            var number = "8001112233";
            project.SendInfoToLog("Номер для регистрации: " + number);
            Thread.Sleep(1000);
            project.SendInfoToLog("Регистрация успешна!");
            Thread.Sleep(1000);
            project.SendInfoToLog("Сохраняем аккаунт: " + $"Путь: {settings.PathSave} | Номер: {number}");
            Thread.Sleep(1000);
        }
    }
}
