﻿using Patterns.Debuggers.Сubes;
using ZennoLab.CommandCenter;
using ZennoLab.InterfacesLibrary.ProjectModel;

namespace Patterns.Debuggers
{
    public class DebuggerV2
    {
        private readonly Instance instance;
        private readonly IZennoPosterProjectModel project;

        public DebuggerV2(Instance instance, IZennoPosterProjectModel project)
        {
            this.instance = instance;
            this.project = project;
        }

        /// <summary>
        /// Кубик Proxy.
        /// </summary>
        public DebuggerV2 Proxy()
        {
            new cProxy(instance, project).Execute();
            return this;
        }

        /// <summary>
        /// Кубик Подготовка регистрации.
        /// </summary>
        public DebuggerV2 PreparingReg()
        {
            new cPreparingReg(instance, project).Execute();
            return this;
        }

        /// <summary>
        /// Кубик Подготовка SMS.
        /// </summary>
        public DebuggerV2 PreparingSms()
        {
            new cPreparingSms(instance, project).Execute();
            return this;
        }

        /// <summary>
        /// Кубик Регистрация ВК.
        /// </summary>
        public DebuggerV2 RegVk()
        {
            new cRegVk(instance, project).Execute();
            return this;
        }
    }
}
