﻿using ZennoLab.InterfacesLibrary.ProjectModel;

namespace Patterns.InputSettings
{
    public class sProxy
    {
        public bool IsEnabled { get; private set; }
        public string FilePath { get; private set; }
        public string Type { get; private set; }
        public string TypeOutput { get; private set; }

        private readonly IZennoPosterProjectModel project;

        public sProxy(IZennoPosterProjectModel project)
        {
            this.project = project;

            IsEnabled = bool.Parse(project.Variables["proxy_IsEnabled"].Value);
            FilePath = CheckFilePath();
            Type = project.Variables["proxy_Type"].Value;
            TypeOutput = project.Variables["proxy_TypeOutput"].Value;
        }

        private string CheckFilePath()
        {
            if(IsEnabled)
            {
                var path = project.Variables["proxy_PathFile"].Value;
                if (string.IsNullOrEmpty(path))
                    throw new System.ArgumentNullException("Не указан путь к файлу с Proxy");

                return path;
            }

            return null;
        }
    }
}
