﻿using System;
using System.Linq;
using ZennoLab.InterfacesLibrary.ProjectModel;

namespace Patterns.InputSettings
{
    public class sReg
    {
        public string Service {  get; private set; }
        public string PathSave { get; private set; }
        public char Separator {  get; private set; }
        public string[] Info { get; private set; }

        public sReg(IZennoPosterProjectModel project)
        {
            Service = project.Variables["reg_Service"].Value;
            PathSave = project.Variables["reg_PathSave"].Value;
            Separator = char.Parse(project.Variables["reg_Separator"].Value);
            Info = GetInfo(project.Variables["reg_Info"].Value);
        }

        private string[] GetInfo(string value)
        {
            return value.Split(new[] { "," }, StringSplitOptions.RemoveEmptyEntries)
                .Select(v => v.Trim())
                .ToArray();
        }
    }
}
