﻿using Patterns.Debuggers;
using Patterns.InputSettings;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Net.Sockets;
using System.Resources;
using System.Text;
using ZennoLab.CommandCenter;
using ZennoLab.Emulation;
using ZennoLab.InterfacesLibrary.ProjectModel;
using ZennoLab.InterfacesLibrary.ProjectModel.Enums;

namespace Patterns
{
    /// <summary>
    /// Класс для запуска выполнения скрипта
    /// </summary>
    public class Program : IZennoExternalCode
    {
        /// <summary>
        /// Метод для запуска выполнения скрипта
        /// </summary>
        /// <param name="instance">Объект инстанса выделеный для данного скрипта</param>
        /// <param name="project">Объект проекта выделеный для данного скрипта</param>
        /// <returns>Код выполнения скрипта</returns>		
        public int Execute(Instance instance, IZennoPosterProjectModel project)
        {
            var reg = new sReg(project);
            var sms = new sSms(project);
            var proxy = new sProxy(project);
            var log = new sLog(project);
            var vk = new sVK(project);

            //Debugger
            var debug = new Debugger(instance, project);
            while (true)
            {
                debug.Proxy();
                debug.PreparingReg();
                debug.PreparingSms();
                debug.RegVk();
            }

            ////DebuggerV2
            //var debugV2 = new DebuggerV2(instance, project);
            //while (true)
            //{
            //    debugV2.Proxy()
            //        .PreparingReg()
            //        .PreparingSms()
            //        .RegVk();
            //}

            return 0;
        }
    }
}